ClarisDrawParserInternal::State Struct Reference documentation

ClarisDrawParserInternal::State Struct Reference

Internal: the state of a ClarisDrawParser. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
int | m_version
| the file version
bool | m_isLibrary
| flag to know if the file is a library or not
int | m_numDSET
| the number of DSET+FNTM
long | m_EOF
| the last data zone size
int | m_actualLayer
| the actual layer
int | m_numLayers
| the number of layer
bool | m_createMasterPage
| flag to know if we need or not to create a master
bool | m_displayAsSlide
| flag to know if we need to display data as slide
std::vector< Layer > | m_layerList
| the layer list
bool | m_pageSpanSet
| flag to know if the page has been set
int | m_headerId
| header id
int | m_footerId
| footer id
MWAWVec2i | m_pages
| the number of pages
std::map< int, std::shared_ptr< ClarisWksStruct::DSET > > | m_zonesMap
| the map of zone
std::map< int, int > | m_zoneIdToFileTypeMap
| map zone id to file type

## Detailed Description

Internal: the state of a ClarisDrawParser.

## Constructor & Destructor Documentation

## ◆ State()

ClarisDrawParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actualLayer

int ClarisDrawParserInternal::State::m_actualLayer

the actual layer

Referenced by State().

## ◆ m_createMasterPage

bool ClarisDrawParserInternal::State::m_createMasterPage

flag to know if we need or not to create a master

Referenced by State().

## ◆ m_displayAsSlide

bool ClarisDrawParserInternal::State::m_displayAsSlide

flag to know if we need to display data as slide

Referenced by State().

## ◆ m_EOF

long ClarisDrawParserInternal::State::m_EOF

the last data zone size

Referenced by State().

## ◆ m_footerId

int ClarisDrawParserInternal::State::m_footerId

footer id

Referenced by State().

## ◆ m_headerId

int ClarisDrawParserInternal::State::m_headerId

header id

Referenced by State().

## ◆ m_isLibrary

bool ClarisDrawParserInternal::State::m_isLibrary

flag to know if the file is a library or not

Referenced by State().

## ◆ m_layerList

std::vector<Layer> ClarisDrawParserInternal::State::m_layerList

the layer list

Referenced by State().

## ◆ m_numDSET

int ClarisDrawParserInternal::State::m_numDSET

the number of DSET+FNTM

Referenced by State().

## ◆ m_numLayers

int ClarisDrawParserInternal::State::m_numLayers

the number of layer

Referenced by State().

## ◆ m_pages

MWAWVec2i ClarisDrawParserInternal::State::m_pages

the number of pages

Referenced by State().

## ◆ m_pageSpanSet

bool ClarisDrawParserInternal::State::m_pageSpanSet

flag to know if the page has been set

Referenced by State().

## ◆ m_version

int ClarisDrawParserInternal::State::m_version

the file version

Referenced by State().

## ◆ m_zoneIdToFileTypeMap

std::map<int, int> ClarisDrawParserInternal::State::m_zoneIdToFileTypeMap

map zone id to file type

Referenced by State().

## ◆ m_zonesMap

std::map<int, std::shared_ptr<ClarisWksStruct::DSET> > ClarisDrawParserInternal::State::m_zonesMap

the map of zone

Referenced by State().

The documentation for this struct was generated from the following file:

- ClarisDrawParser.cxx